Subject: bug#65027: closed (Re: bug#65027: 30.0.50; [PATCH] Document .elpaignore behavior in the Emacs Lisp manual)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 16 Feb 2025 16:49:02 +0000

Your bug report

#65027: 30.0.50; [PATCH] Document .elpaignore behavior in the Emacs Lisp manual

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65027: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65027
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#65027: 30.0.50; [PATCH] Document .elpaignore behavior in the Emacs Lisp manual
From: Stefan Kangas <[email-masked]>
To: Protesilaos Stavrou <[email-masked]>
Cc: Jim Porter <[email-masked]>, [email-masked], [email-masked], [email-masked], Stefan Monnier <[email-masked]>, Eli Zaretskii <[email-masked]>
Date: Sun, 16 Feb 2025 16:48:52 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Protesilaos Stavrou <[email-masked]> writes:

> On 2025-02-13 10:05, Stefan Kangas wrote:
>> Stefan Kangas <[email-masked]> writes:
>>
>>> Protesilaos Stavrou <[email-masked]> writes:
>>>
>>>> Sorry for the delay!  I read the entire thread.  I am willing to
>>>> contribute towards the creation of a new manual.  As Stefan Monnier
>>>> noted earlier,[1] I think it is better to have it be about "Emacs
>>>> packages" with relevant subsections for where those are stored and
>>>> how
>>>> they can be installed.
>>>>
>>>> How do we start?  Perhaps someone can produce a draft to get things
>>>> going?  I am happy to volunteer towards that end.
>>>
>>> Sounds like a plan.  Thanks for working on this.
>>>
>>>> Should this be in .texi or can we do it in .org format?
>>>
>>> We generally prefer .texi, but either way is fine for a first draft.
>>> It's not crucial at this stage, and we can always convert it to
>>> another
>>> format later.  The biggest work is in writing it.
>>
>> Protesilaos, did you make any progress here?
>
> No, I did not do anything. This was last year and I started dealing with
> RSI shortly afterwards. Things are better now, but I cannot make the
> commitment
> anymore.

I hope that you will start to feel better.

For now, I see that the proposed patch in this bug report has been
handled, so I'm closing this bug.  If anyone else wants to step forward
to write a packaging manual, please do, and thanks in advance.

Subject: 30.0.50; [PATCH] Document .elpaignore behavior in the Emacs Lisp manual
From: Jim Porter <[email-masked]>
To: [email-masked]
Date: Wed, 2 Aug 2023 21:56:38 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

X-Debbugs-Cc: [email-masked]

 From the discussion in bug#64985, Eli mentioned that .elpaignore wasn't 
documented. (It turns out it's mentioned briefly in the GNU ELPA README, 
but that's the only place I could find.) Here's a small patch to 
document this in the Package section of the Emacs Lisp manual.

This is just a first pass at documenting this feature, so I'm happy to 
add further details if anyone thinks it's warranted.

From a5dc5f63003aea4bda4f382ec46c0556edb14f1a Mon Sep 17 00:00:00 2001
From: Jim Porter <[email-masked]>
Date: Wed, 2 Aug 2023 21:51:18 -0700
Subject: [PATCH] * doc/lispref/package.texi (Multi-file Packages): Document
 ".elpaignore".

---
 doc/lispref/package.texi | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/doc/lispref/package.texi b/doc/lispref/package.texi
index 2952e7dfcfc..ce29b4be72a 100644
--- a/doc/lispref/package.texi
+++ b/doc/lispref/package.texi
@@ -284,6 +284,13 @@ Multi-file Packages
   (expand-file-name file superfrobnicator-base))
 @end smallexample
 
+  If your project contains files that you don't wish to distribute to
+users (e.g.@: regression tests), you can add them to an
+@file{.elpaignore} file.  In this file, each line lists a file or
+wildcard matching files to ignore when producing your package's tar
+file on ELPA.  (ELPA will pass this file to @command{tar} with the
+@code{-X} option.)
+
 @node Package Archives
 @section Creating and Maintaining Package Archives
 @cindex package archive
-- 
2.25.1